Holger's Java API

## com.antelmann.net
Class URLNode

    java.lang.Object
      com.antelmann.net.URLNode

All Implemented Interfaces:
  Serializable, TreeNode

    public class URLNode

extends Object
implements TreeNode, Serializable

URLNode wrapps a URL and places it into a URLTree, which determines how the URLNode calculates its children.

Author:
  Holger Antelmann
See Also:
  `URLTree`, Serialized Form

Constructor Summary
`URLNode(URLCache uc, URLNode parent, URLTree tree)`
`URLNode(URL url, URLNode parent, URLTree tree)`

Method Summary
`Enumeration<URLNode>` `children()`
`void` `collapse()` reverses the effect of expand()
`void` `expand()` makes this node expand beyond the crawler rules of the associated URLTree
`boolean` `getAllowsChildren()`
`TreeNode` `getChildAt(int childIndex)`
`int` `getChildCount()`
`int` `getIndex(TreeNode node)`
`TreeNode` `getParent()`
`URL` `getURL()`
`URLCache` `getURLCache()`
`boolean` `isLeaf()`
`void` `refresh()` refreshes the cached URL content and recursively all children
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### URLNode

    public URLNode(URL url,
                   URLNode parent,
                   URLTree tree)

### URLNode

    public URLNode(URLCache uc,
                   URLNode parent,
                   URLTree tree)

Method Detail

### children

    public Enumeration<URLNode> children()

  Specified by:
    `children` in interface `TreeNode`

### getAllowsChildren

    public boolean getAllowsChildren()

  Specified by:
    `getAllowsChildren` in interface `TreeNode`

### getChildAt

    public TreeNode getChildAt(int childIndex)

  Specified by:
    `getChildAt` in interface `TreeNode`

### getChildCount

    public int getChildCount()

  Specified by:
    `getChildCount` in interface `TreeNode`

### getIndex

    public int getIndex(TreeNode node)

  Specified by:
    `getIndex` in interface `TreeNode`

### getParent

    public TreeNode getParent()

  Specified by:
    `getParent` in interface `TreeNode`

### isLeaf

    public boolean isLeaf()

  Specified by:
    `isLeaf` in interface `TreeNode`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### refresh

    public void refresh()

  refreshes the cached URL content and recursively all children

### expand

    public void expand()

  makes this node expand beyond the crawler rules of the associated URLTree

### collapse

    public void collapse()

  reverses the effect of expand()

### getURLCache

    public URLCache getURLCache()

### getURL

    public URL getURL()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads